body {
  margin: 0;
  padding: 0;
  background: #E7EAE7;
  line-height: 133%;
  font-size: 0.98em;
  font-family: helvetica, arial, sans-serif, sans-serif;
  }
  
  
/*Miscellanous custom styling for various elements.*/
h1, h2, h3 {
  font-family: "helvetica";
  text-shadow:1px 2px #C6D189;
  }
  
  strong {
  font-weight: bold;
  text-transform: uppercase;
  letter-spacing: 1.5px;
  color: #335145;
  
}
  
a {
  color: #40896C;
  text-decoration:none; 
  text-transform: uppercase;
  font-weight: bold;
  text-shadow:1px 2px #C6D189;
  font-family: helvetica, arial, sans-serif;
  }

a:hover {
  color: #FF1154;
  text-decoration:none; 
  }
 
 
  
blockquote {
  font-weight: bold;
  text-transform: uppercase;
  letter-spacing: 1.5px;
  color: #FF1654;
  }

hr {
  width: 75%;
  margin-top: 1.5rem;
  margin-bottom: 1.5rem;
  color: #FF1154;
  text-shadow:1px 2px #C6D189;
  }
  
/*Sticky navigation links at the top of the page.*/
.quick-nav {
  position:fixed;
  z-index: 999;
  width: 100%;
  background: #E7EAE7;
  text-align: right;
  color: #E7EAE7;  
  font-size: 0.875em;
  }
  
.navbar {
  padding: 1px 25px;
  }
  
.navbar a {
  display: inline-block;
 color: #40896C;
  text-decoration:none; 
  text-transform: uppercase;
  font-weight: bold;
  text-shadow:1px 2px #C6D189;
  padding: 5px 4px;
  margin: 0 2px;
  }
  
.navbar a:hover, .footer a:hover, .navbar a:focus, .footer a:focus {
  color: #FF1154;
  transition: ease-in 0.1s, ease-out 0.1s;
  }
  
  
/*Header image.*/
.header {
  padding: 0;
  margin: 0;
  color: #fff;
  font-family: "Droid Sans", Verdana, sans-serif;
  line-height: 150%;
  }
  
  .header-gap {
  height: 500px;
  }

/*Title bar with icon and title/tagline.*/
.title {
  background: #E7EAE7;
  min-height: 60px;
  margin-bottom: -25px;
  text-align: right;
  }
  
.title-text, .title-pic {
  padding:50;
  margin: 50;
  display: inline-block;
  
  }
  
/*Contains the text tagline.*/
.title-text {
  padding-right: 1em;
  width: calc(85vw - 110px);
  line-height: 10%;
  margin-top: 100px;
  padding-bottom: 50px;
  }
  
.title-text h1 {
  padding:50;
  font-size: 32px;
  }
  
/*Contains the profile pic. This can be left out and should still look okay.*/
.title-pic {
  height: 60px;
  margin-right: 50px;
  margin-top: 50px;
  
  }
  
.title-pic img {
  height: 100%;
  overflow: hidden;
  }
  
/*Contains the main content and sidebar.*/
.page-wrapper {
  padding: 0 100px;
  margin: 0 auto;
  background: #ddd;
  background: linear-gradient(rgba(231,234,231), rgba(172,182,170)), url(/Images/norwegian-rose.png); /*Gradient makes tiles "fade in".*/
  }

/*Contains the sidebar boxes.*/
.sidebar {
  width: 320px;
  margin: 50px 0;
  position: absolute;
  }
  
.sidebar h1 {
  font-size: 1.2rem;
  background: #E7EAE7;
  color: #335145;
  text-shadow:1px 2px #C6D189;
  padding: 12px 10px 10px 10px;
  margin: auto;
  }
  
.sidebar a {
  display: block;
  border-left: 3px solid #FF1154;
  background: #E7EAE7;
  padding: 5px;
  margin: 10px 0;
  color: #40896C;
  text-decoration: none;
  text-transform: uppercase;
  font-weight: bold;
  text-shadow:1px 2px #C6D189;
  }
  
.sidebar a:hover, .sidebar a:focus {
  color: #FF1154;
  transition: ease-in 0.1s, ease-out 0.1s;
  }
  
.sidebar, .main {
  display: inline-block;
  }

/*Contains main content boxes.*/
.main {
  margin: 50px 100px 50px 350px;
  width: auto;
  width: calc(100vw - 550px);
  }
  
  
/*Basic container type for subsections of main and sidebar divs*/
.box {
  margin-bottom: 15px;
  }
  
/*Inner content div for boxes. Padding goes here so sidebar headers etc can keep their no-margin look.*/
.inner {
  background:  #E7EAE7;
  padding: 10px 25px;
  }

.inner img {
  max-width: 100%; /*Prevent image overflow.*/
  height: auto;
  border-radius: 5px; /*Give images in content rounded corners.*/
  }
  
.box, .title-pic img {
  border-radius: 5px;
  overflow: hidden; /*Force inner divs to conform to rounded corners.*/
  }
  
  
/*Footer section.*/
.footer {
  background: #E7EAE7;
  color: #335145;
  padding: 5px 20px;
  font-size: 0.75em;
  padding-bottom: 10px;
  }
  
.footer a {
  color: #40896C;
  text-decoration:none; 
  text-transform: uppercase;
  font-weight: bold;
  text-shadow:1px 2px #C6D189;
  }

/*Individual column of the footer. You can have 3 of these at the current given width.*/
.footer-column {
  width: 30%;
  margin: 5px 10px;
  display: inline-block;
  vertical-align: top;
  }


/*Adapt to narrower screens.*/
@media(max-width: 900px) {
  .page-wrapper {
    padding: 0 50px;
    }
  
  .sidebar {
    width: 25vw;
    }
    
  .main {
    margin: 50px 0 50px calc(25vw + 30px);
    width: calc(75vw - 150px);
    }
    
  .title-pic {
    margin-right: 7vw;
    }
    
  .title-text {
    padding-left: 1vw;
    padding-right: 2vw;
    }
    
  .header {
    width: 100%; 
    height: auto;
  }
  
  .header-gap {
  height: 500px;
  }
  }
  
/*Mobile layout.*/
@media(orientation: portrait) {  
  .page-wrapper {
    padding-top: 0.1px;
    padding-bottom: 0.1px;
    }
  
  .sidebar, .main {
    display: block;
    margin: 0 auto;
    position: static;
    width: 100%;    
    }
    
  .sidebar {
    margin-top: 50px;
    }
    
  .main {
    margin-top: 30px;
    margin-bottom: 30px;
    }
    
    
  }
  
/***
For really narrow screens which cause the title text to wrap. 
You may need to adjust the width at which this kicks in to fit 
your own title.
***/
@media(max-width: 500px) {
  .header {
    height: 60vw;
    }
  
  .title {
    padding-right: 0;
    }
  
  .title-text {
    margin-top: -5px;
    }
    
  .title-text h1 {
    font-size: 6vw;
    line-height: 75%;
    }
    
  .title {
    height: calc(auto - 25px);
    }
    
  .page-wrapper {
    padding: 0.1px 7vw;
    }
    
  /*For extra narrow screens where the columns would get too skinny.*/
  .footer-column {
    display: block;
    width: 100%;
    margin: 0 auto;
    }
  }